Bug 1248953 - Issues with Set as Active Project option-1
Issues with Set as Active Project option-1
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Nathan Kinder
yeylon@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 04:09 EDT by Suyog Sainkar
Modified: 2016-04-26 18:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-08 13:55:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Logged in as admin; seeing as demo (44.98 KB, image/png)
2015-07-31 04:09 EDT, Suyog Sainkar
no flags Details

  None (edit)
Description Suyog Sainkar 2015-07-31 04:09:01 EDT
Created attachment 1057973 [details]
Logged in as admin; seeing as demo

Description of problem:

1. After adding the current user to member of another project that already exists from Dashboard > Identity menu > Projects tab > (Actions) Edit Project, the Set as Active Project option is enabled to be able to switch to another project. As an admin user, you can set a project as Active via Identity > Projects > Actions column, click the arrow and click *Set as Active Project*.
Alternatively, as a non-admin user, *Set as Active Project* becomes the default option in the column.

2. Switch to another project using the Set as Active Project option. For example, as an admin user switch to services by clicking *Set as Active Project* in the drop-down for services.

3. Sign out of the dashboard. 

4. Log in to the dashboard as the demo user. Although you log in as demo, you will see the dashboard options set as services. In order to get back to demo, you will have to set it in Identity > Projects > Click, *Set as Active Project* button in the Actions column for demo.

4. Sign out of the dashboard.

5. Log in to the dashboard as an admin. Similarly, although you are logged in as admin, you will see the dashboard options set as demo. In order to get back to the admin view, you will have to set it in Identity > Projects > Click, *Set as Active Project* button in the Actions column for admin.

6. To summarize, the previously set option persists even when you log in as another user.

Version-Release number of selected component (if applicable): RHEL-OSP7


How reproducible: Always


Actual results: Set as Active Project persists even when you log in as another user.

Expected results: When you log in, set the project as the logged-in user.


Additional info: Screen capture attached.
Comment 3 Suyog Sainkar 2015-08-02 20:48:46 EDT
Besides, the current (active) project is not evident as it is not shown on the dashboard. This can be particularly confusing in case of multiple projects. The current (active) project has to be deduced by navigating to Dashboard > Identity menu > Projects.
Comment 5 Adam Young 2016-04-08 13:55:22 EDT
This is a confusion of there terms involved.  "Active Project" is for the current Horizon session.  "Default Project" is for the user, and is on the user tab.

Note You need to log in before you can comment on or make changes to this bug.